﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StimulsoftWpfApplication
{
    public class Client
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public List<Quality> Qualities { get; set; }

        public Client()
        {
        }

        public Client(int id, string name)
        {
            this.Id = id;
            this.Name = name;
        }
    }

    public class Quality
    {
        public int Value { get; set; }
        public Product PName { get; set; }
        public int Number { get; set; }

        public Quality()
        {
        }

        public Quality(int value, Product pName, int number)
        {
            this.Value = value;
            this.PName = pName;
            this.Number = number;
        }
    }

    public class Product
    {
        public string Name { get; set; }

        public Product()
        {
        }

        public Product(string name)
        {
            this.Name = name;
        }
    }
}
